Skip to main content
GET
/
v2
/
people
/
enrich
/
{RequestID}
Get enrichment request status and results
curl --request GET \
  --url https://api.tamtam.ai/api/v2/people/enrich/{RequestID} \
  --header 'Authorization: <api-key>'
{
  "item_count": 123,
  "request_id": "<string>",
  "results": [
    {
      "enrichment_type": "<string>",
      "status": "<string>",
      "custom": {},
      "emails": [
        {
          "email": "<string>",
          "status": "<string>"
        }
      ],
      "error": "<string>",
      "most_probable_email": "<string>",
      "phones": [
        {
          "number": "<string>",
          "region": "<string>"
        }
      ]
    }
  ],
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

Account API key passed in the Authorization header

Path Parameters

RequestID
string
required

Enrichment request ID returned by the POST endpoint

Example:

"b3c6f5e2-1234-4abc-9def-0123456789ab"

Response

OK

item_count
integer<int64>
required

Number of enrichment requests in the batch

Example:

1

request_id
string
required

Enrichment request ID

Example:

"b3c6f5e2-1234-4abc-9def-0123456789ab"

results
object[] | null
required

Per-item enrichment results

status
string
required

Aggregate status: PROCESSING, COMPLETED, FAILED

Example:

"COMPLETED"